org.apache.hadoop.yarn.webapp.hamlet2

## Class Hamlet.HEAD<T extends HamletSpec.__>

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp<T>
  - - org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.HEAD<T>

- All Implemented Interfaces:
    HamletSpec.__, HamletSpec._Child, HamletSpec._Head, HamletSpec._Object, HamletSpec._Script, HamletSpec.HEAD, HamletSpec.HeadMisc, HamletSpec.I18nAttrs
  Enclosing class:
    Hamlet

      public class Hamlet.HEAD<T extends HamletSpec.__>
      extends HamletImpl.EImp<T>
      implements HamletSpec.HEAD

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HEAD(String name, T parent, EnumSet<HamletImpl.EOpt> opts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Hamlet.HEAD<T>` | `$dir(HamletSpec.Dir value)` direction for weak/neutral text
    `Hamlet.HEAD<T>` | `$lang(String value)` language code
    `Hamlet.BASE<Hamlet.HEAD<T>>` | `base()` Add a BASE element.
    `Hamlet.HEAD<T>` | `base(String href)` Add a complete BASE element.
    `Hamlet.LINK<Hamlet.HEAD<T>>` | `link()` Add a link element.
    `Hamlet.HEAD<T>` | `link(String href)` Add a link element.
    `Hamlet.HEAD<T>` | `meta_http(String header, String content)` Add a meta element with http-equiv attribute.
    `Hamlet.META<Hamlet.HEAD<T>>` | `meta()` Add a meta element.
    `Hamlet.HEAD<T>` | `meta(String name, String content)` Add a meta element.
    `Hamlet.OBJECT<Hamlet.HEAD<T>>` | `object()` Add an object element.
    `Hamlet.OBJECT<Hamlet.HEAD<T>>` | `object(String selector)` Add an object element.
    `Hamlet.SCRIPT<Hamlet.HEAD<T>>` | `script()` Add a script element.
    `Hamlet.HEAD<T>` | `script(String src)` Add a script element
    `Hamlet.STYLE<Hamlet.HEAD<T>>` | `style()` Add a style element.
    `Hamlet.HEAD<T>` | `style(Object... lines)` Add a css style element.
    `Hamlet.TITLE<Hamlet.HEAD<T>>` | `title()` Add a TITLE element.
    `Hamlet.HEAD<T>` | `title(String cdata)` Add a TITLE element.

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp

      `__, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Constructor Detail

    - #### HEAD

          public HEAD(String name,
                      T parent,
                      EnumSet<HamletImpl.EOpt> opts)

  - ### Method Detail

    - #### $lang

          public Hamlet.HEAD<T> $lang(String value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      language code
      Specified by:
        `$lang` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the code
      Returns:
        the current element builder

    - #### $dir

          public Hamlet.HEAD<T> $dir(HamletSpec.Dir value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      direction for weak/neutral text
      Specified by:
        `$dir` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the `HamletSpec.Dir` value
      Returns:
        the current element builder

    - #### base

          public Hamlet.BASE<Hamlet.HEAD<T>> base()

      Description copied from interface: `HamletSpec._Head`
      Add a BASE element.
      Specified by:
        `base` in interface `HamletSpec._Head`
      Returns:
        a new BASE element builder

    - #### base

          public Hamlet.HEAD<T> base(String href)

      Description copied from interface: `HamletSpec._Head`
      Add a complete BASE element.
      Specified by:
        `base` in interface `HamletSpec._Head`
      Returns:
        the current element builder

    - #### title

          public Hamlet.TITLE<Hamlet.HEAD<T>> title()

      Description copied from interface: `HamletSpec._Head`
      Add a TITLE element.
      Specified by:
        `title` in interface `HamletSpec._Head`
      Returns:
        a new TITLE element builder

    - #### title

          public Hamlet.HEAD<T> title(String cdata)

      Description copied from interface: `HamletSpec._Head`
      Add a TITLE element.
      Specified by:
        `title` in interface `HamletSpec._Head`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### style

          public Hamlet.STYLE<Hamlet.HEAD<T>> style()

      Description copied from interface: `HamletSpec.HeadMisc`
      Add a style element.
      Specified by:
        `style` in interface `HamletSpec.HeadMisc`
      Returns:
        a style element builder

    - #### style

          public Hamlet.HEAD<T> style(Object... lines)

      Description copied from interface: `HamletSpec.HeadMisc`
      Add a css style element.
      Specified by:
        `style` in interface `HamletSpec.HeadMisc`
      Parameters:
        `lines` - content of the style sheet
      Returns:
        the current element builder

    - #### link

          public Hamlet.LINK<Hamlet.HEAD<T>> link()

      Description copied from interface: `HamletSpec.HeadMisc`
      Add a link element.
      Specified by:
        `link` in interface `HamletSpec.HeadMisc`
      Returns:
        a link element builder

    - #### link

          public Hamlet.HEAD<T> link(String href)

      Description copied from interface: `HamletSpec.HeadMisc`
      Add a link element. Implementation should try to figure out type by the suffix of href. So `link("style.css");` is a shortcut of `link().$rel("stylesheet").$type("text/css").$href("style.css").__();`
      Specified by:
        `link` in interface `HamletSpec.HeadMisc`
      Parameters:
        `href` - of the link
      Returns:
        the current element builder

    - #### meta

          public Hamlet.META<Hamlet.HEAD<T>> meta()

      Description copied from interface: `HamletSpec.HeadMisc`
      Add a meta element.
      Specified by:
        `meta` in interface `HamletSpec.HeadMisc`
      Returns:
        a meta element builder

    - #### meta

          public Hamlet.HEAD<T> meta(String name,
                                     String content)

      Description copied from interface: `HamletSpec.HeadMisc`
      Add a meta element. Shortcut of `meta().$name(name).$content(content).__();`
      Specified by:
        `meta` in interface `HamletSpec.HeadMisc`
      Parameters:
        `name` - of the meta element
        `content` - of the meta element
      Returns:
        the current element builder

    - #### meta_http

          public Hamlet.HEAD<T> meta_http(String header,
                                          String content)

      Description copied from interface: `HamletSpec.HeadMisc`
      Add a meta element with http-equiv attribute. Shortcut of
      `meta().$http_equiv(header).$content(content).__();`
      Specified by:
        `meta_http` in interface `HamletSpec.HeadMisc`
      Parameters:
        `header` - for the http-equiv attribute
        `content` - of the header
      Returns:
        the current element builder

    - #### script

          public Hamlet.SCRIPT<Hamlet.HEAD<T>> script()

      Description copied from interface: `HamletSpec._Script`
      Add a script element.
      Specified by:
        `script` in interface `HamletSpec._Script`
      Returns:
        a script element builder

    - #### script

          public Hamlet.HEAD<T> script(String src)

      Description copied from interface: `HamletSpec._Script`
      Add a script element
      Specified by:
        `script` in interface `HamletSpec._Script`
      Parameters:
        `src` - uri of the script
      Returns:
        the current element builder

    - #### object

          public Hamlet.OBJECT<Hamlet.HEAD<T>> object()

      Description copied from interface: `HamletSpec._Object`
      Add an object element.
      Specified by:
        `object` in interface `HamletSpec._Object`
      Returns:
        an object element builder

    - #### object

          public Hamlet.OBJECT<Hamlet.HEAD<T>> object(String selector)

      Description copied from interface: `HamletSpec._Object`
      Add an object element.
      Specified by:
        `object` in interface `HamletSpec._Object`
      Parameters:
        `selector` - as #id.class etc.
      Returns:
        an object element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.